Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.behavior
Class ConverterNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.richfaces.component.behavior.ConverterNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class ConverterNotFoundException

extends java.lang.Exception

This exception thrown if Client validator cannot determine Converter associated with target UIComponent

Author:
  asmirnov@exadel.com
See Also:
  Serialized Form

Constructor Summary
`ConverterNotFoundException()`
`ConverterNotFoundException(java.lang.String message)`
`ConverterNotFoundException(java.lang.String message, java.lang.Throwable cause)`
`ConverterNotFoundException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConverterNotFoundException

    public ConverterNotFoundException()

### ConverterNotFoundException

    public ConverterNotFoundException(java.lang.String message)

  Parameters:
    `message` -

### ConverterNotFoundException

    public ConverterNotFoundException(java.lang.Throwable cause)

  Parameters:
    `cause` -

### ConverterNotFoundException

    public ConverterNotFoundException(java.lang.String message,
                                      java.lang.Throwable cause)

  Parameters:
    `message` -
    `cause` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.